-- не настраивать
require( "scripts/game/deftime.lua" );
require( "scripts/game/deftasks.lua" );
GameObject = {
    Params = {
        ID="sheephouse";
        width=3;
        height=3;
        image="sheephouse1",
        --health=5000;
        hungry=5000;
        thirst=5000;
        GridData = { 
            1,1,1,
            1,1,1,
            1,1,1,
        };
    };
    -- точки подхода персонажа
    ActivePoints = { 
        take =   { 
                        { {"sheep"}, 4,1,0, 3,  4,1,0 };
                        { {"sheep"}, 4,-1,0, 3,  4,-1,0 };
                        { {"sheep"}, 4,3,0, 3,  4,3,0 };
                     }; 
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- точки прихода
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
